#ifndef FE_MAIN_H
#define FE_MAIN_H

#include "common/main.h"
#include "common/factory.h"


//-----------------------------------------------------------------------------
class FEFactory : public CommonFactory
{
 public:
    FEFactory();

 protected:
    BaseBoard *createBoard(bool graphic, QWidget *parent);
    BaseField *createField(QWidget *parent);
    BaseInterface *createInterface(QWidget *parent);
    AI *createAI();
};

//-----------------------------------------------------------------------------
class FEMainWindow : public MainWindow
{
 Q_OBJECT
 public:
    FEMainWindow() { init(); }
};

#endif
